/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package sikd.ikonsol.ejb.session;

import java.util.List;
import javax.ejb.Remote;
import sikd.ikonsol.model.PemdaWilayah;

/**
 *
 * @author Imam Bhoim
 */
@Remote
public interface PemdaWilayahEjbHome {
     public List<PemdaWilayah> findAll();

    public PemdaWilayah findByID(int id);

    public PemdaWilayah createNew();

    public PemdaWilayah save(PemdaWilayah obj);

    public PemdaWilayah findByKode(String kode);

    public PemdaWilayah update(PemdaWilayah obj);
    
    public List<PemdaWilayah> findListById(int id);

    public void delete(int id);
}
